--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: To create a parser that repeats self for at most <em>max</em> times. All return values are collected in an array.
full_name: RParsec::Parser#some
is_singleton: false
name: some
params: (max)
visibility: public
